TextAreaHandle (install4j API)
Description: declaration: package: com.install4j.api.test.formcomponents, interface: TextAreaHandle

# Interface TextAreaHandle

All Superinterfaces:
  `FormComponentHandle`

public interface TextAreaHandle extends FormComponentHandle
Handle for the "Text area" form component. The Swing widget is a multi-line `JTextArea`.

Reach this handle via `ScreenHandle.textArea()`.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `TextAreaHandle`
  `assertDisabled()`
  `TextAreaHandle`
  `assertEnabled()`
  `TextAreaHandle`
  `assertInvisible()`
  `TextAreaHandle`
  `assertText(String expected)`
  Assert the current text equals the expected value.
  `TextAreaHandle`
  `assertVisible()`
  `TextAreaHandle`
  `clear()`
  Clear the area.
  `String`
  `getText()`
  The current text in the area.
  `TextAreaHandle`
  `setText(String text)`
  Replace the area's text.

  ### Methods inherited from interface FormComponentHandle

  `getId, isEnabled, isVisible`

- ## Method Details

  - ### getText

    @NotNull String getText()
    The current text in the area.

  - ### setText

    @NotNull TextAreaHandle setText(@NotNull String text)
    Replace the area's text.

  - ### clear

    @NotNull TextAreaHandle clear()
    Clear the area.

  - ### assertText

    @NotNull TextAreaHandle assertText(@NotNull String expected)
    Assert the current text equals the expected value.

  - ### assertEnabled

    @NotNull TextAreaHandle assertEnabled()
    Specified by:
      `assertEnabled` in interface `FormComponentHandle`

  - ### assertDisabled

    @NotNull TextAreaHandle assertDisabled()
    Specified by:
      `assertDisabled` in interface `FormComponentHandle`

  - ### assertVisible

    @NotNull TextAreaHandle assertVisible()
    Specified by:
      `assertVisible` in interface `FormComponentHandle`

  - ### assertInvisible

    @NotNull TextAreaHandle assertInvisible()
    Specified by:
      `assertInvisible` in interface `FormComponentHandle`